I'm new and I need help with my Homebrewed N3ds

Discussion in '3DS - Flashcards & Custom Firmwares' started by Snerik, Apr 7, 2017.

  1. Snerik
    OP

    Snerik Member

    Newcomer
    47
    5
    Apr 7, 2017
    United States
    So I recently homebrewed my 3ds (v11.3.0.36) using the soundhax program that launches through the music app on the 3ds. I downloaded the starter kit, the otherapp.bin file, a Legit CIA game, and the FBI app. Whenever I boot up the FBI app I get a message that says "Fatal error", I later realized that there isn't an FBI app that works with the 11.3 version of my 3ds.

    So my question is, is there anyway to to install Legit CIA files on an 11.3 version 3ds? And if there is a way what are the chances it could brick my device?
     
  2. KunoichiZ

    KunoichiZ GBAtemp Guru

    Member
    8,531
    3,598
    Mar 16, 2012
    United States
    No there is no other way. You are SOL for now.
     
  3. Temptress Cerise

    Temptress Cerise Miss Magic~ <3

    Member
    2,201
    1,469
    May 1, 2016
    United States
    No. Sell it and get one on 11.2 or lower.
     
    Tenshi_Okami likes this.
  4. Snerik
    OP

    Snerik Member

    Newcomer
    47
    5
    Apr 7, 2017
    United States
    Aww that's too bad, does anyone know when they'll release a compatible app?
     
  5. Temptress Cerise

    Temptress Cerise Miss Magic~ <3

    Member
    2,201
    1,469
    May 1, 2016
    United States
    Anywhere from the next few minutes to the end of time.

    Sorry, but no one knows. Pretty sure everyone thought 11.2 would be the last update.
     
  6. Snerik
    OP

    Snerik Member

    Newcomer
    47
    5
    Apr 7, 2017
    United States
    I see, well thanks. Looks like I'll just buy a cheap 2ds. Thanks for the quick response.
     
  7. vinstage

    vinstage Asshole with feelings

    Member
    558
    969
    Jan 24, 2017
    Korea, South
    부산
    That's your best bet. I also recommend you install CFW if you do end up finding and buying a new 2ds. You can find the guide here. That way, when you update to 11.3 you'll still have homebrew, FBI and can install applications such as freeShop.
     
  8. Snerik
    OP

    Snerik Member

    Newcomer
    47
    5
    Apr 7, 2017
    United States
    Thanks, I was looking into that and it was just a jumbled mess. My main take was that it could brick my device but I found a 2ds for $30 and I'm willing to risk bricking.

    So the advantage of CFW over Homebrew is that I can updated the device and have no repercussions such as losing access to FBI right?
     
  9. vinstage

    vinstage Asshole with feelings

    Member
    558
    969
    Jan 24, 2017
    Korea, South
    부산
    Yup, and also, it does take a while to understand but if you follow that guide there's no brick risk, to be honest.
    Please feel free to ask questions on the temp, if something was to happen, because if you do go wrong or you do make a mistake that's where you can brick your console.
     
    Last edited by vinstage, Apr 7, 2017
  10. Snerik
    OP

    Snerik Member

    Newcomer
    47
    5
    Apr 7, 2017
    United States
    Alright thanks, I'll give it a few reads before I commit to doing it. Thank you all very much. I'll make sure to ask questions if there's any issues.
     
    vinstage likes this.
  11. adrifcastr

    adrifcastr GBAtemp Advanced Maniac

    Member
    1,798
    838
    Sep 12, 2016
    Germany
    never. FBI is totally compatibe with any firmware. you just need a svc backdoor (arm11 khexploit) there are a (probably) a lot unreleased ones.
    (smea 100% got one ready, tweeted about it when the payloads where broken by 11.3)
     
  12. Snerik
    OP

    Snerik Member

    Newcomer
    47
    5
    Apr 7, 2017
    United States
    I have an 11.3 n3ds and correct me if I'm wrong but doesn't the arm11 exploit need the CFW? In 3ds guide they only have CFW that works on 11.2 and before.
     
  13. RHOPKINS13

    RHOPKINS13 Geek

    Member
    329
    154
    Jan 31, 2009
    United States
    Please read the guide thoroughly and above all DON'T SKIM! I would hate to hear another instance of "I skipped the backup on step X, and now my console won't boot / is stuck on step Y and I don't have a NAND backup..."

    — Posts automatically merged - Please don't double post! —

    You don't need the CFW for the arm11 exploit, you need the arm11 exploit to install the CFW. If you already had Luma 3DS on 11.2 and update your console, it works great on 11.3, but you don't have a way of installing it if you're on 11.3 and haven't installed A9LH already.
     
  14. Snerik
    OP

    Snerik Member

    Newcomer
    47
    5
    Apr 7, 2017
    United States
    Yeah, I'm making sure I don't miss any steps and I'm reading it a few times until my 2ds comes in. Thanks for your concern, I'll make sure to read every step with care.


    Yeah I already had 11.3 when I homebrewed my 3ds, so the only way to get an 11.3 CFW is if they ever release an 11.3 Luma 3DS basically, right?
     
    Last edited by Snerik, Apr 7, 2017
  15. adrifcastr

    adrifcastr GBAtemp Advanced Maniac

    Member
    1,798
    838
    Sep 12, 2016
    Germany
    nope, we first need:
    an arm11 khexploit ((we have a bunch unreleased ones) well just for installing signed ctr importable archives)
    an arm9 khexploit to gain NAND R/W acess / a way to run the home menu without having it to require an 11.3 NFIRM (both of this will probably never happen 11.3 is too tough)

    so the only way to get a persistant low level entrypoint on 11.3 is SignatureHax, which we need prot_boot9.bin for, which is being dumped by hedgeberg atm
     
  16. Snerik
    OP

    Snerik Member

    Newcomer
    47
    5
    Apr 7, 2017
    United States
    Yeah I already had 11.3 when I homebrewed my 3ds, so the only
    Oh wow, I'm so lost. I'm sorry I'm still very new to the whole modding thing, but basically you need a program that can bypass the 11.3 software (which, as you said, is near impossible). But then you talk about signature hacks, which I'm guessing is an alternative way to get Luma to work on the 11.3 firmware which being worked on by this one guy hedgeberg. So what do you mean by low level entry point then? Because that's where I got lost.
     
  17. adrifcastr

    adrifcastr GBAtemp Advanced Maniac

    Member
    1,798
    838
    Sep 12, 2016
    Germany
    no what we need to bypass on 11.3 isn't the "software" 11.3 added the homemenu requireing an updated NATIVE_FIRM so downgrades are impossible even via hardmod, which denies everyone on 11.3 to access the 11.2 firmware, where SAFE_FIRMLAUNCHHAX (arm9 khexploit) and fasthax (arm11 kernel exploit) are usable.

    also this has nothing to do with getting Luma running, you can run any arm9 payload using al9h, the goal is to get arbitrary code exeq at boot

    a low level entrypoint, is for axample arm9loaderhax, by exploiting a flaw in the 3ds's arm9loader we can get arbitrary code execution a few seconds after boot, which is most cases boots the arm9 payload (mostly arm9loaderhax.bin) from root/arm9loaderhax.bin

    SigHax is not being worked on by hedgeberg, she is just dumping the protected part o the 3ds's arm9 bootrom, which is needed (obviously) to use derrek's bootrom exploit (SigHax)

    addition: here is smea's tweet, where he claimed to have a kernel exploit ready (best case would be an arm9 one but thats very unlikely, the arm11 has a lot more bugs that could be usable to get kernel access)
     
    Last edited by adrifcastr, Apr 7, 2017
  18. Snerik
    OP

    Snerik Member

    Newcomer
    47
    5
    Apr 7, 2017
    United States
    Okay I see
     
    adrifcastr likes this.